Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82902 - kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Summary: kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-28 11:00 UTC by Josiah Royse
Modified: 2007-04-18 16:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-05 14:23:26 UTC


Attachments (Terms of Use)

Description Josiah Royse 2003-01-28 11:00:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
The error below occurs several times in the /var/log/messages file:

Jan 27 00:36:01 localhost kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Jan 27 00:36:32 localhost last message repeated 1259 times
Jan 27 00:37:33 localhost last message repeated 2716 times
Jan 27 00:38:34 localhost last message repeated 2287 times
Jan 27 00:39:35 localhost last message repeated 2717 times
Jan 27 00:40:36 localhost last message repeated 2731 times
Jan 27 00:41:37 localhost last message repeated 2729 times
Jan 27 00:42:38 localhost last message repeated 2747 times
Jan 27 00:43:39 localhost last message repeated 2245 times
Jan 27 00:44:40 localhost last message repeated 2737 times
Jan 27 00:45:41 localhost last message repeated 2737 times


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Be using the graphical interface: anything
2.
3.
    

Actual Results:  log messages from kernel

Expected Results:  No log messages from the kernel

Additional info:

Stock Phoebe 8.0.93: kernel-2.4.20-2.21

/etc/sysconfig/hwconfig:
class: VIDEO
bus: PCI
detached: 0
driver: Card:ATI Radeon VE
desc: "ATI|Radeon VE QY"
vendorId: 1002
deviceId: 5159
subVendorId: 1569
subDeviceId: 5159
pciType: 1

Comment 1 Arjan van de Ven 2003-01-28 11:03:22 UTC
does it otherwise work ?

Comment 2 Josiah Royse 2003-01-28 13:20:18 UTC
Oops, should have put this in the original report- This error is suspiciously
the last one in the messages file.  This morning at 5:00AM I woke up and the PC
was frozen, Caps-lock/Num-lock/Monitor would not come on- no power savings are
enabled.  I've got the system up2date, I'll keep an eye out for more errors.

Jan 27 16:17:17 localhost su(pam_unix)[7022]: session opened for user root by
tester(uid=1006)
Jan 27 16:22:23 localhost automount[7068]: expired /auto/sarah
Jan 27 16:22:23 localhost automount[7068]: expired /auto/josiah
Jan 27 16:28:35 localhost automount[7108]: expired /linear/music
Jan 27 16:49:26 localhost userhelper: pam_timestamp: timestamp file
`/var/run/sudo/tester/unknown:root' is too old, disallowing access to gdmsetup
for UID 1006
Jan 27 16:49:27 localhost gdmsetup(pam_unix)[7161]: auth could not identify
password for [root]
Jan 27 17:12:27 localhost automount[3027]: attempting to mount entry /linear/music
Jan 27 19:12:46 localhost kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Jan 28 05:19:30 localhost syslogd 1.4.1: restart.


Comment 3 Josiah Royse 2003-04-08 14:49:06 UTC
No crashes, on RH 9 - same setup and video card, I haven't found any of the
previous errors in the /var/log/messages file, here is the only thing under
radeon now (normal stuff):
...
Apr  6 13:35:30 tabasco kernel: [drm] AGP 0.99 on SiS @ 0xd0000000 32MB
Apr  6 13:35:30 tabasco kernel: [drm] Initialized radeon 1.7.0 20020828 on minor 0
...

Comment 4 Need Real Name 2004-02-04 03:07:07 UTC
I can reproduce this error with an updated Red Hat 9 system.  Error is
as described above, and information about my configuration is
described below.


[pkukla@boris pkukla]$ X -version
                                                                     
                                         
XFree86 Version 4.3.0 (Red Hat Linux 9 release: 4.3.0-2.90.43)
Release Date: 15 August 2003
X Protocol Version 11, Revision 0, Release 6.6
Build Operating System: Linux 2.4.21-2.ELsmp i686 [ELF]
Build Date: 07 November 2003
Build Host: porky.devel.redhat.com
                                                                     
                                         
        Before reporting any problems, please make sure you are using
the most
        recent XFree86 packages available from Red Hat by checking for
updates
        at http://rhn.redhat.com/errata or by using the Red Hat
Network up2date
        tool.  If you still encounter problems, please file bug
reports in the
        XFree86.org bugzilla at http://bugs.xfree86.org and/or Red Hat
        bugzilla at http://bugzilla.redhat.com
                                                                     
                                         
Module Loader present
OS Kernel: Linux version 2.4.20-28.9 (bhcompile@daffy.perf.redhat.com)
(gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)) #1 Thu Dec 18
13:46:42 EST 2003
                                                                     
                                         

$ uname -a
Linux boris 2.4.20-28.9 #1 Thu Dec 18 13:46:42 EST 2003 i686 athlon
i386 GNU/Linux


$ grep drm /var/log/messages
Feb  1 23:16:33 boris kernel: [drm:radeon_freelist_get] *ERROR*
returning NULL!
Feb  2 19:17:38 boris kernel: [drm] AGP 0.99 on VIA Apollo KT133 @
0xd0000000 64MB
Feb  2 19:17:38 boris kernel: [drm] Initialized radeon 1.7.0 20020828
on minor 0
Feb  2 19:17:38 boris kernel: [drm] Loading R200 Microcode





Note You need to log in before you can comment on or make changes to this bug.